import { useCallback, useRef } from 'react';
export var useStaticCallback = function useStaticCallback(callback) {
  var callbackRef = useRef(callback);
  callbackRef.current = callback;
  return useCallback(function () {
    return callbackRef.current.apply(callbackRef, arguments);
  }, []);
};